uuid: 3451862a-1337-4612-9c05-3d649e89cb2d
langcode: he
status: true
dependencies:
  config:
    - core.base_field_override.node.procedure.title
    - field.field.node.procedure.field_approval_authority
    - field.field.node.procedure.field_category
    - field.field.node.procedure.field_date_create
    - field.field.node.procedure.field_date_expire
    - field.field.node.procedure.field_date_status12
    - field.field.node.procedure.field_date_status23
    - field.field.node.procedure.field_date_status45
    - field.field.node.procedure.field_files
    - field.field.node.procedure.field_legal_counsel
    - field.field.node.procedure.field_platoon
    - field.field.node.procedure.field_portal_number
    - field.field.node.procedure.field_precentage
    - field.field.node.procedure.field_previous_version
    - field.field.node.procedure.field_reexamined
    - field.field.node.procedure.field_status
    - field.field.node.procedure.field_three_year
    - field.field.node.procedure.field_update_date
    - field.field.node.procedure.field_version
    - node.type.procedure
  module:
    - feeds_tamper
    - node
third_party_settings:
  feeds_tamper:
    tampers: {  }
label: 'ייבוא נהלים'
id: procedures
description: ''
help: ''
import_period: -1
fetcher: upload
fetcher_configuration:
  allowed_extensions: 'txt csv tsv xml opml'
  directory: 'public://feeds'
parser: csv
parser_configuration:
  delimiter: ','
  no_headers: false
  line_limit: 100
processor: 'entity:node'
processor_configuration:
  values:
    type: procedure
  langcode: he
  insert_new: 1
  update_existing: 2
  update_non_existent: _keep
  skip_hash_check: true
  authorize: true
  revision: false
  expire: -1
  owner_feed_author: false
  owner_id: 1
custom_sources:
  nws:
    value: נושא
    label: נושא
    machine_name: nws
    type: csv
  kwtrt:
    value: כותרת
    label: כותרת
    machine_name: kwtrt
    type: csv
  mspr_nwhl:
    value: 'מספר נוהל'
    label: 'מספר נוהל'
    machine_name: mspr_nwhl
    type: csv
  mspr_gyrsh:
    value: 'מספר גירסה'
    label: 'מספר גירסה'
    machine_name: mspr_gyrsh
    type: csv
  qwdmwt:
    value: קודמות
    label: קודמות
    machine_name: qwdmwt
    type: csv
  tryk_yzyrh:
    value: 'תאריך יצירה'
    label: 'תאריך יצירה'
    machine_name: tryk_yzyrh
    type: csv
  tryk_yzyrha:
    value: 'תאריך יצירה'
    label: 'תאריך יצירה'
    machine_name: tryk_yzyrha
    type: csv
  qwbz:
    value: קובץ
    label: קובץ
    machine_name: qwbz
    type: csv
  file:
    value: קובץ
    label: קובץ
    machine_name: file
    type: csv
  hwz:
    value: אחוז
    label: אחוז
    machine_name: hwz
    type: csv
  date:
    value: 'תאריך יצירה'
    label: 'תאריך יצירה'
    machine_name: date
    type: csv
  sttws:
    value: סטטוס
    label: סטטוס
    machine_name: sttws
    type: csv
  date_1:
    value: 'תאריך 1'
    label: 'תאריך 1'
    machine_name: date_1
    type: csv
  date_2:
    value: 'תאריך 2'
    label: 'תאריך 2'
    machine_name: date_2
    type: csv
  date_3:
    value: 'תאריך 3'
    label: 'תאריך 3'
    machine_name: date_3
    type: csv
  date_4:
    value: 'תאריך 4'
    label: 'תאריך 4'
    machine_name: date_4
    type: csv
  hgwrm_hbkyr_bywtr_bsbb_htymwt:
    value: 'הגורם הבכיר ביותר בסבב חתימות'
    label: 'הגורם הבכיר ביותר בסבב חתימות'
    machine_name: hgwrm_hbkyr_bywtr_bsbb_htymwt
    type: csv
  drws_yw_ms:
    value: 'דרוש יועמש'
    label: 'דרוש יועמש'
    machine_name: drws_yw_ms
    type: csv
  nbhn_mhds:
    value: 'נבחן מחדש'
    label: 'נבחן מחדש'
    machine_name: nbhn_mhds
    type: csv
  yhydh_hryt:
    value: 'יחידה אחראית'
    label: 'יחידה אחראית'
    machine_name: yhydh_hryt
    type: csv
  tzkwr_dkwn_btryk:
    value: 'תזכור עדכון בתאריך'
    label: 'תזכור עדכון בתאריך'
    machine_name: tzkwr_dkwn_btryk
    type: csv
  nslhh_htrh_lhr_slws_snym:
    value: 'נשלחה התראה לאחר שלוש שנים'
    label: 'נשלחה התראה לאחר שלוש שנים'
    machine_name: nslhh_htrh_lhr_slws_snym
    type: csv
mappings:
  -
    target: title
    map:
      value: kwtrt
    settings:
      language: he
    unique:
      value: 1
  -
    target: field_category
    map:
      target_id: nws
    settings:
      language: he
      reference_by: tid
      autocreate: 0
      autocreate_bundle: category
  -
    target: field_portal_number
    map:
      value: mspr_nwhl
    settings:
      language: null
    unique: {  }
  -
    target: field_version
    map:
      value: mspr_gyrsh
    settings:
      language: null
    unique: {  }
  -
    target: field_previous_version
    map:
      value: qwdmwt
    settings:
      language: null
    unique: {  }
  -
    target: field_files
    map:
      target_id: file
      description: ''
    settings:
      language: ''
      reference_by: fid
      autocreate: 0
      existing: '1'
      autocreate_bundle: false
  -
    target: field_precentage
    map:
      value: hwz
    settings:
      language: null
    unique: {  }
  -
    target: field_date_expire
    map:
      value: date
      end_value: ''
    settings:
      language: null
      timezone: UTC
  -
    target: created
    map:
      value: date_2
    settings:
      language: null
      timezone: UTC
  -
    target: field_status
    map:
      target_id: sttws
    settings:
      language: ''
      reference_by: tid
      autocreate: 0
      autocreate_bundle: status
  -
    target: field_date_status12
    map:
      value: date_2
    settings:
      language: null
      timezone: UTC
  -
    target: field_date_status23
    map:
      value: date_1
    settings:
      language: null
      timezone: UTC
  -
    target: field_date_status45
    map:
      value: date
    settings:
      language: null
      timezone: UTC
  -
    target: field_date_create
    map:
      value: date_1
    settings:
      language: null
      timezone: UTC
  -
    target: field_approval_authority
    map:
      target_id: hgwrm_hbkyr_bywtr_bsbb_htymwt
    settings:
      language: ''
      reference_by: name
      autocreate: 1
      autocreate_bundle: approval_authority
  -
    target: field_legal_counsel
    map:
      value: drws_yw_ms
    settings:
      language: ''
  -
    target: field_reexamined
    map:
      value: nbhn_mhds
    settings:
      language: null
      timezone: UTC
  -
    target: field_platoon
    map:
      target_id: yhydh_hryt
    settings:
      language: ''
      reference_by: name
      autocreate: 0
      autocreate_bundle: platoon
  -
    target: field_update_date
    map:
      value: tzkwr_dkwn_btryk
    settings:
      language: null
      timezone: UTC
  -
    target: field_three_year
    map:
      value: nslhh_htrh_lhr_slws_snym
    settings:
      language: null
